package ukol;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.sql.SQLException;

import javax.swing.JOptionPane;

/**
 * Zpracovává událost stisku odesílacího tlačítka.
 */
public class DisplayQueryResultsController implements ActionListener {

    /**
     * View, které generuje události.
     */
    private DisplayQueryResults view;
    /**
     * Model, který tento controller na základě událostí mění.
     */
    private ResultSetTableModel tableModel;

    /**
     * Vytvoří novou instanci třídy DisplayQueryResultsController.
     *
     * @param tableModel
     *            model, který bude tento controller měnit.
     * @param view
     *            pohled, který generuje události a poskytuje text
     *            dotazu.
     */
    public DisplayQueryResultsController(
            ResultSetTableModel tableModel, DisplayQueryResults view) {
        this.view = view;
        this.tableModel = tableModel;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        try {
            tableModel.setResult(view.getResult());
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(view,
                    "Chyba při provádění dotazu:\n" + ex.toString(),
                    "Chyba", JOptionPane.ERROR_MESSAGE);
        }
    }
}
